opj_bio Struct Reference

Individual bit input-output stream (BIO) More...

`#include <bio.h>`

## Data Fields

OPJ_BYTE * | start
| pointer to the start of the buffer
OPJ_BYTE * | end
| pointer to the end of the buffer
OPJ_BYTE * | bp
| pointer to the present position in the buffer
OPJ_UINT32 | buf
| temporary place where each byte is read or written
OPJ_UINT32 | ct
| coder : number of bits free to write.

## Detailed Description

Individual bit input-output stream (BIO)

## Field Documentation

## bp

OPJ_BYTE* opj_bio::bp

pointer to the present position in the buffer

Referenced by opj_bio_bytein(), opj_bio_byteout(), opj_bio_init_dec(), opj_bio_init_enc(), and opj_bio_numbytes().

## buf

OPJ_UINT32 opj_bio::buf

temporary place where each byte is read or written

Referenced by opj_bio_bytein(), opj_bio_byteout(), opj_bio_getbit(), opj_bio_inalign(), opj_bio_init_dec(), opj_bio_init_enc(), and opj_bio_putbit().

## ct

OPJ_UINT32 opj_bio::ct

coder : number of bits free to write.

decoder : number of bits read

Referenced by opj_bio_bytein(), opj_bio_byteout(), opj_bio_flush(), opj_bio_getbit(), opj_bio_inalign(), opj_bio_init_dec(), opj_bio_init_enc(), and opj_bio_putbit().

## end

OPJ_BYTE* opj_bio::end

pointer to the end of the buffer

Referenced by opj_bio_bytein(), opj_bio_byteout(), opj_bio_init_dec(), and opj_bio_init_enc().

## start

OPJ_BYTE* opj_bio::start

pointer to the start of the buffer

Referenced by opj_bio_init_dec(), opj_bio_init_enc(), and opj_bio_numbytes().

The documentation for this struct was generated from the following file:

- bio.h